Summary:        Application for taking pictures and movies from a webcam
Name:           cheese
Version:        44.0.1
Release:        1%{?dist}
License:        GPLv2+
URL:            https://wiki.gnome.org/Apps/Cheese
Source0:        https://download.gnome.org/sources/%{name}/44/%{name}-%{version}.tar.xz

BuildRequires:  gcc meson
BuildRequires:  gtk-doc docbook-dtds docbook-style-xsl
BuildRequires:  desktop-file-utils gettext itstool libXtst-devel vala
BuildRequires:  pkgconfig(clutter-1.0) pkgconfig(clutter-gst-3.0) pkgconfig(clutter-gtk-1.0)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0) pkgconfig(gio-2.0) pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gnome-desktop-3.0) >= 3.27.90 pkgconfig(libcanberra-gtk3)
BuildRequires:  pkgconfig(gobject-introspection-1.0) pkgconfig(gtk+-3.0) pkgconfig(x11)
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0) pkgconfig(gstreamer-plugins-bad-1.0)
BuildRequires:  /usr/bin/appstream-util /usr/bin/xsltproc

Requires: %{name}-libs = %{version}-%{release}
Requires: gstreamer1-plugins-good
Requires: gstreamer1-plugins-bad-free
Requires: gnome-video-effects

%description
This package implements a Photobooth-inspired GNOME application for taking pictures and videos 
from a webcam.

%package libs
Summary:        Webcam display and capture widgets
License:        GPLv2+

%description libs
This package provides libraries needed for applications that want to display a webcam in their 
interface.

%package libs-devel
Summary:        Development files for %{name}-libs
License:        GPLv2+
Requires:       %{name}-libs = %{version}-%{release}

%description libs-devel
This package provides the libraries and header files that are needed for writing applications 
that require a webcam display widget.


%prep
%autosetup


%build
%meson -Dtests=false
%meson_build


%install
%meson_install

%find_lang %{name} --with-gnome


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Cheese.desktop
%meson_test


%files
%doc AUTHORS README
%{_bindir}/cheese
%{_datadir}/applications/org.gnome.Cheese.desktop
%{_datadir}/metainfo/org.gnome.Cheese.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.Cheese.service
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Cheese.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Cheese-symbolic.svg
%{_mandir}/man1/cheese.1*

%files -f %{name}.lang libs
%license COPYING
%{_libdir}/libcheese.so.8*
%{_libdir}/libcheese-gtk.so.25*
%{_libdir}/girepository-1.0/Cheese-3.0.typelib
%{_datadir}/glib-2.0/schemas/org.gnome.Cheese.gschema.xml

%files libs-devel
%{_includedir}/cheese/
%{_libdir}/libcheese.so
%{_libdir}/libcheese-gtk.so
%{_libdir}/pkgconfig/cheese.pc
%{_libdir}/pkgconfig/cheese-gtk.pc
%{_datadir}/gtk-doc/
%{_datadir}/gir-1.0/Cheese-3.0.gir


%changelog
* Mon Jul 03 2023 kianli <kianli@tencent.com> - 44.0.1-1
- Upgrade to 44.0.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 15 2023 Wang Guodong <gordonwwang@tencent.com> - 43.0-1
- package init.
